import { AnchoredCategorySeries } from "./AnchoredCategorySeries";
import { NumericXAxis } from "./NumericXAxis";
import { CategoryYAxis } from "./CategoryYAxis";
import { IVerticalAnchoredCategorySeriesInteractionManager } from "./IVerticalAnchoredCategorySeriesInteractionManager";
import { Type, Point } from "igniteui-react-core";
import { SeriesPlotAreaMarginHorizontalMode } from "./SeriesPlotAreaMarginHorizontalMode";
import { Axis } from "./Axis";
import { SeriesPlotAreaMarginVerticalMode } from "./SeriesPlotAreaMarginVerticalMode";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { NumericAxisBase } from "./NumericAxisBase";
import { ScalerParams } from "./ScalerParams";
import { AxisRange } from "./AxisRange";
import { Rect } from "igniteui-react-core";
import { SeriesHitTestMode } from "./SeriesHitTestMode";
/**
 * @hidden
 */
export declare abstract class VerticalAnchoredCategorySeries extends AnchoredCategorySeries {
    static $t: Type;
    xAxis: NumericXAxis;
    yAxis: CategoryYAxis;
    ce(): SeriesPlotAreaMarginHorizontalMode;
    cf(): SeriesPlotAreaMarginVerticalMode;
    ng(): void;
    private yw;
    get yx(): IVerticalAnchoredCategorySeriesInteractionManager;
    protected get_isVertical(): boolean;
    vl(): CategoryAxisBase;
    v6(): NumericAxisBase;
    getOffsetValue(): number;
    getCategoryWidth(): number;
    jd(a: Point, b: boolean): number;
    jf(a: Point, b: boolean): number;
    ht(a: Point, b: number, c: Axis, d: ScalerParams, e: number): number;
    ar(a: Rect): AxisRange;
    protected bx(): SeriesHitTestMode;
    tu(a: Point): Rect;
    private y5;
    f4(a: Point, b: boolean): boolean;
    h9(a: Point, b: boolean, c: boolean): number;
    th(a: Point, b: boolean, c: boolean): Point;
    fetchXAxis(): Axis;
    fetchYAxis(): Axis;
    x9(a: Axis): void;
    ya(a: Axis): void;
    wh(): boolean;
    vf(a: number, b: number): any[];
    hv(a: Point): number;
    wl(a: Point): number;
    i8(a: Point): number;
    jr(a: Point): any;
    protected o8(a: any, b: string, c: any, d: any): void;
    y0(a: any): boolean;
    yz(a: any): boolean;
    get useHighMarkerFidelity(): boolean;
    static $$p: string[];
}
